Classic Editor

Descripción

Classic Editor es un plugin oficial mantenido por el equipo de WordPress que restaura el anterior editor (“clásico”) de WordPress, y la pantalla de “Editar entrada”. Permite usar plugins que usen esa pantalla, añadan cajas meta al viejo estilo, o dependan de algún modo del editor anterior.

Classic Editor es un plugin oficial de WordPress, y será totalmente compatible y mantenido por lo menos hasta el 2022, o el tiempo que sea necesario.

En resumen, este plugin agrega lo siguiente:

  • Los administradores puede elegir el editor por defecto para todos los usuarios.
  • Los administradores pueden permitir a los usuarios cambiar su editor predeterminado.
  • Cuando se permite, los usuarios puede elegir qué editor usar para cada entrada.
  • Cada entrada se abre en el último editor independientemente de quién la editó por última vez. Esto es importante para mantener una experiencia consistente al editar contenido.

Además, el plugin Classic Editor incluye varios filtros que permiten que otros plugins controlen los ajustes y la elección de editor por publicación y por tipo de contenido.

Por defecto, este plugin oculta todas las funcionalidades disponibles en el nuevo editor de bloques (“Gutenberg”).

Capturas

  • Ajustes del administrador en la pantalla Ajustes -> Escritura.
  • Ajustes de usuario en la pantalla Perfil. Visible cuando los usuarios tienen permitido cambiar de editor.
  • "Enlaces de acción" para elegir editor alternativo. Visible cuando los usuarios tienen permitido cambiar de editor.
  • Enlace para cambiar al Editor de bloques cuando estás editando una entrada en el editor de clásico. Visible cuando los usuarios tienen permitido cambiar de editor.
  • Enlace para cambiar al editor clásico cuando estás editando una entrada en el editor de bloques. Visible cuando los usuarios tienen permitido cambiar de editor.
  • Ajustes de red para seleccionar el editor predeterminado para la red y permitir que los administradores del sitio lo cambien.
  • El enlace para "Cambiar al editor clásico".

Preguntas frecuentes

Ajustes predeterminados

Cuando se active este plugin se va a restaurar el anterior editor de WordPress (“clásico”) y ocultar el nuevo editor de bloques (“Gutenberg”).
Estos ajustes se pueden cambiar en la pantalla de Ajustes => Escritura.

Ajustes predeterminados para la instalación en red

Hay dos opciones:

  • Cuando se active el plugin para la red, este plugin establecerá el editor clásico como predeterminado, e impedirá que los administradores y usuarios del sitio cambien de editor.
    Los ajustes se pueden cambiar y el editor predeterminao de toda la red se puede seleccionar en la pantalla de los ajustes de red.
  • Cuando no está activado por la red, cada administrador del sitio podrá activar el plugin y elegir las opciones para sus usuarios.

No está el enlace para “Cambiar al editor clásico”

Está en el menú principal del editor de bloques, dale un vistazo a esta captura de pantalla.

Reseñas

24 de septiembre de 2020
Must have plugin. Watch out, it seems it currently does not work under WP 5.5 due to deprecated jquery methods.
23 de septiembre de 2020
Thankfully this is still available on WP. However it states that 'Classic Editor is an official WordPress plugin, and will be fully supported and maintained until at least 2022' What's going to happen after 2022? Am I going to have to rewrite my websites? Maybe I ought to start looking at other options instead of WP? Gutenberg is really starting to piss me off. I wish I'd never heard of WP and instead just use html/css/js like I used to do.
17 de septiembre de 2020
Please get rid of Gutenberg horrible Block Editor! Please ask wordpress user about it, no one uses block editor! Please please go back to the beautiful classic editor!
13 de septiembre de 2020
Not sure how to remove my review
10 de septiembre de 2020
I still prefer the classic editor compared to the Gutenberg one. The classic editor is what we have used for years and I hope it will always be maintained by its developers. Many of us still depend on it everyday.
Leer todas las 890 reseñas

Colaboradores y desarrolladores

“Classic Editor” es un software de código abierto. Las siguientes personas han colaborado con este plugin.

Colaboradores

“Classic Editor” ha sido traducido a 57 idiomas. Gracias a los traductores por sus contribuciones.

Traduce “Classic Editor” a tu idioma.

¿Interesado en el desarrollo?

Revisa el código , echa un vistazo al repositorio SVN , o suscríbete al log de desarrollo por RSS .

Registro de cambios

1.6

  • Updated for WordPress 5.5.
  • Fixed minor issues with calling deprecated functions, needlessly registering uninstall hook, and capitalization of some strings.

1.5

  • Updated for WordPress 5.2 and Gutenberg 5.3.
  • Enhanced and fixed the “open posts in the last editor used to edit them” logic.
  • Fixed adding post state so it can easily be accessed from other plugins.

1.4

  • On network installations removed the restriction for only network activation.
  • Added support for network administrators to choose the default network-wide editor.
  • Fixed the settings link in the warning on network About screen.
  • Properly added the “Switch to classic editor” menu item to the block editor menu.

1.3

  • Fixed removal of the “Try Gutenberg” dashboard widget.
  • Fixed condition for displaying of the after upgrade notice on the “What’s New” screen. Shown when the classic editor is selected and users cannot switch editors.

1.2

  • Fixed switching editors from the Add New (post) screen before a draft post is saved.
  • Fixed typo that was appending the edit URL to the classic-editor query var.
  • Changed detecting of WordPress 5.0 to not use version check. Fixes a bug when testing 5.1-alpha.
  • Changed the default value of the option to allow users to switch editors to false.
  • Added disabling of the Gutenberg plugin and lowered the required WordPress version to 4.9.
  • Added classic_editor_network_default_settings filter.

1.1

Se solucionó un fallo por el que podría intentar cargar el editor de bloques para tipos de contenido no compatibles con el editor, cuando a los usuarios se les permite cambiar de editor.

1.0

  • Updated for WordPress 5.0.
  • Changed all “Gutenberg” names/references to “block editor”.
  • Refreshed the settings UI.
  • Removed disabling of the Gutenberg plugin. This was added for testing in WordPress 4.9. Users who want to continue following the development of Gutenberg in WordPress 5.0 and beyond will not need another plugin to disable it.
  • Added support for per-user settings of default editor.
  • Added support for admins to set the default editor for the site.
  • Added support for admins to allow users to change their default editor.
  • Added support for network admins to prevent site admins from changing the default settings.
  • Added support to store the last editor used for each post and open it next time. Enabled when users can choose default editor.
  • Added “post editor state” in the listing of posts on the Posts screen. Shows the editor that will be opened for the post. Enabled when users can choose default editor.
  • Added classic_editor_enabled_editors_for_post and classic_editor_enabled_editors_for_post_type filters. Can be used by other plugins to control or override the editor used for a particular post of post type.
  • Added classic_editor_plugin_settings filter. Can be used by other plugins to override the settings and disable the settings UI.

0.5

  • Updated for Gutenberg 4.1 and WordPress 5.0-beta1.
  • Removed some functionality that now exists in Gutenberg.
  • Fixed redirecting back to the classic editor after looking at post revisions.

0.4

  • Fixed removing of the “Try Gutenberg” call-out when the Gutenberg plugin is not activated.
  • Fixed to always show the settings and the settings link in the plugins list table.
  • Updated the readme text.

0.3

  • Updated the option from a checkbox to couple of radio buttons, seems clearer. Thanks to @designsimply for the label text suggestions.
  • Some general updates and cleanup.

0.2

  • Update for Gutenberg 1.9.
  • Remove warning and automatic deactivation when Gutenberg is not active.

0.1

Versión inicial.